Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.servlet
Class XDBServletConfig

    java.lang.Object
      |
      +--oracle.xdb.servlet.XDBServletConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig

public class XDBServletConfig
extends java.lang.Object
implements javax.servlet.ServletConfig

Method Summary
`java.lang.String[]` | `get_paramnames()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.lang.String` | `getServletName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### get_paramnames

    public java.lang.String[] get_paramnames()

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getServletName

    public java.lang.String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.